const path = require("path");

module.exports = {
  publicPath: "./",
  devServer: {
    host: "0.0.0.0",
    port: "",
    proxy: {
      "/api": {
        target: "http://linyi.natapp1.cc", // 目标 API 地址 富勇电脑
        // target: "http://ue.360lj.com", // 线上地址
        ws: true,
        changeOrigin: true, // 将主机标头的原点更改为目标URL
        pathRewrite: {
          "^/api": "/api"
        }
      }
    },
    
    overlay: {
      warnings: false,
      errors: false,
      lintOnSave: false
    }
  }
};